extension:
  name: arxiv
  display_name: arXiv
  version: 0.1.0
  host: science
  category: data
  description: |
    Reference data-plugin extension. Fulfils the `retrieval.<id>`
    contract for the builtin `data.arxiv` edge plugin by calling
    export.arxiv.org and reshaping hits into the snippet format
    the chat fan-out expects.

    Tool exposed: `search`, with args {query, top_k}, answering
    {snippets:[{text, source, score}]}.

  model: B
  external_url: http://127.0.0.1:9502

  tools:
    - search

  # Rich Brain metadata per EldricOS.md §7982. Legacy `tools: [names]`
  # still works — tool_specs is how the Brain learns the shape + policy
  # at tool-discovery time.
  tool_specs:
    search:
      description: "Full-text search over arXiv papers (title + abstract)."
      input_schema:
        type: object
        properties:
          query:  { type: string }
          top_k:  { type: integer, minimum: 1, maximum: 25, default: 5 }
        required: ["query"]
      examples:
        - { in: { query: "diffusion transformers", top_k: 3 }, out: "snippets[3]" }
      usage_policy:
        rate_limit: "3/sec"
        cost_hint:  "free"
      resource_hints:
        latency_ms_p50: 800
        latency_ms_p95: 2000
        tokens_in:      32
        tokens_out:     500

  license_tier: free
  signature_key: ""
